Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Class AddButton

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.widget.scatterbox.ScatterboxAction
              edu.stanford.smi.protegex.widget.scatterbox.AddButton

All Implemented Interfaces:
  ScatterboxWidgetListener, ActionListener, Serializable, Cloneable, EventListener, Action

    public class AddButton

extends ScatterboxAction

Description of the class

Author:
  William Grosso
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protegex.widget.scatterbox.ScatterboxAction
`_kb, _model, _project, _queryUtilsObject, _state, _table, _widget`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`AddButton(ScatterboxWidget widget, ScatterboxTable table, ScatterboxTableModel model, KBQueryUtils queryUtilsObject)`

Method Summary
`protected void` | `performTask(int row, int column)`
`protected void` | `setActivation()`

Methods inherited from class edu.stanford.smi.protegex.widget.scatterbox.ScatterboxAction
`actionPerformed, scatterboxWidgetSelectionChanged`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddButton

    public AddButton(ScatterboxWidget widget,
                     ScatterboxTable table,
                     ScatterboxTableModel model,
                     KBQueryUtils queryUtilsObject)

Method Detail

### performTask

    protected void performTask(int row,
                               int column)

  Specified by:
    `performTask` in class `ScatterboxAction`

### setActivation

    protected void setActivation()

  Specified by:
    `setActivation` in class `ScatterboxAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request